Bug 30695 - MP3s play slow and choppy
MP3s play slow and choppy
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Depends On:
  Show dependency treegraph
Reported: 2001-03-05 16:04 EST by Matt Domsch
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-19 20:01:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2001-03-05 16:04:18 EST
Running Florence RC2 on a Dell Latitude CPiA laptop, nm256_audio driver,
366MHz Pentium II Celeron CPU.

Gnome sounds sound just fine, but xmms playing MP3s come out a bit slow
(like waiting for the singer of the national anthem, who's taking her own
sweet time, speeding up and slowing down for dramatic effect) and sound

The slow sound problem seems specific to xmms.  Using MusicMatch Jukebox,
sounds just fine.
Comment 1 Matt Domsch 2001-03-05 16:35:09 EST
www.musicmatch.com has a MP3 player (free) for Linux (uses wine).
mpg123 plays the songs just fine.
Only xmms plays them poorly.
Comment 2 Bill Nottingham 2001-03-05 16:44:07 EST
If it uses Wine, it's not really for Linux. ;)

What output plugin are you using (OSS or ESD, or arts?)
Comment 3 Matt Domsch 2001-03-05 16:57:54 EST
ESD was the one that was failing.
Trying now with oss, it seems to work much better, but there's still a bit of
random slowness, repeated notes (or perhaps brief skips).
Comment 4 Bill Nottingham 2001-03-05 17:29:13 EST
When you get slowdowns/repeats/etc., are you doing anything in particular
that might be putting load on the system?

Are you running as root or as a normal user?
Comment 5 Matt Domsch 2001-03-05 17:33:24 EST
Running as normal user.  No extra load-generating apps (top running, shows 95+% 

OSS output is really much much better (in fact, almost tolerable).
Comment 6 Bill Nottingham 2001-03-05 18:21:42 EST
Which is weird, because mpg123 uses esd by default.
Comment 7 Glen Foster 2001-03-06 15:14:07 EST
Re-assigning to kernel (per Preston)
Comment 8 Doug Ledford 2001-03-07 14:13:56 EST
If you disable the visual meter stuff entirely does it do any better?
Comment 9 Matt Domsch 2001-03-13 12:13:15 EST
No, with visual meter off, it's still occasionally slow and choppy with esd.
I'll try again with qa0309 + kernel 2.4.2-0.1.25.
Comment 10 Matt Domsch 2001-03-13 15:33:32 EST
Tried with qa0309 + kernel 2.4.2-0.1.26, same problem.
Occasionally, I can get mpg123 to play slowly too.  Keystrokes while in Gnome
while mpg123 is playing seems exacerbate the problem, even if the CPU load
remains low.

Comment 11 Doug Ledford 2001-03-14 23:06:03 EST
Bleah...I guess since I did the i810 sound driver I now need to do this one as
well ;-)  I'll look into the driver (it sounds like it is using a horribly small
buffer and esd and xmms can't keep it filled reliably, resulting in
start/stop/start cycles in the sound output).  How does quake or the ossmmap
plugin in xmms do?
Comment 12 Doug Ledford 2001-04-19 20:01:23 EDT
Matt, I need you to check interrupts on this machine.  It almost sounds like the
audio driver isn't getting all the interrupts it should (or maybe too many). 
Let me know how that issue looks on this machine.  Also, there is an updated
neomagic sound driver in the latest ac kernel I think, you might want to try
that (I don't have hardware to test with here currently).

Note You need to log in before you can comment on or make changes to this bug.